> ## Documentation Index
> Fetch the complete documentation index at: https://docs.arc.cdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# コネクタ（設定、状態、トランザクション履歴）を別のワークスペースに移動するか、同じワークスペース内で名前を変更します。元のコネクタは削除されます。

> コネクタ（設定、状態、トランザクション履歴）を別のワークスペースに移動するか、同じワークスペース内で名前を変更します。元のコネクタは削除されます。



## OpenAPI

````yaml 26.4/cloud/ja/api-reference/openapi.json POST /moveConnector
openapi: 3.0.1
info:
  title: RSSBus OpenAPI
  version: 26.4.9790.0
servers:
  - url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://arc.example.com/api.rsc
        description: >-
          Arc インスタンスのベース URL
          です。スキームとアプリケーションパスを含みます（例：https://arc.example.com/api.rsc）。
security: []
paths:
  /moveConnector:
    post:
      tags:
        - moveConnector
      summary: >-
        コネクタ（設定、状態、トランザクション履歴）を別のワークスペースに移動するか、同じワークスペース内で名前を変更します。元のコネクタは削除されます。
      description: >-
        コネクタ（設定、状態、トランザクション履歴）を別のワークスペースに移動するか、同じワークスペース内で名前を変更します。元のコネクタは削除されます。
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/moveConnector_input'
        required: true
      responses:
        '200':
          description: アクションの結果。
        default:
          description: 予期しないエラー
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CDataError'
      security:
        - authtoken_header: []
        - basic: []
        - authtoken_query: []
components:
  schemas:
    moveConnector_input:
      type: object
      required:
        - WorkspaceId
        - ConnectorId
        - NewConnectorId
      properties:
        WorkspaceId:
          type: string
          description: 移動元のコネクタが存在するワークスペースのId。
        ConnectorId:
          type: string
          description: 移動するコネクタのId。
        NewWorkspaceId:
          type: string
          description: 移動先のワークスペースのId。指定しない場合は、移動元のワークスペース内でコネクタの名前が変更されます。
        NewConnectorId:
          type: string
          description: 移動先のワークスペースでのコネクタのId。
        Force:
          type: string
          description: true の場合、ワークスペース間の移動で既存のワークフロー接続が切断されても処理を続行します。デフォルトはfalse です。
    CDataError:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CDataInError'
    CDataInError:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    authtoken_header:
      type: apiKey
      in: header
      name: x-cdata-authtoken
    basic:
      scheme: basic
      type: http
    authtoken_query:
      type: apiKey
      in: query
      name: '@authtoken'

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.